Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - Cloud

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Cloud

You can use the Cloud API to retrieve a list of available runtime clouds in your account to create an attachment, considering remaining attachment quotas.

Note: This API does not return a list of previously created private clouds in your account. Refer to the RuntimeCloud API for private clouds.

Required Privileges

You need these privileges in the target environment:

Write access

  • N/A

Read access

  • CLOUD_MANAGEMENT — Configure and administer runtime clouds.

Retrieves an instance of a Cloud object

Retrieves the properties of the Runtime cloud having the specified ID.

Authorizations:
basicAuth
path Parameters
id
required
string

A unique ID assigned by the system to the Runtime cloud.

Responses

Response Schema:
Array of objects (CloudAtom)

Cloud clusters(s) installed for the cloud

id
string

A unique ID assigned by the system to the Runtime cloud.

name
string

The name of the Runtime cloud.

Response samples

Content type
{
  • "@type": "Cloud",
  • "Atom": [
    • {
      },
    • {
      }
    ],
  • "id": "23456789-abcd-ef01-2345-6789abcdef01",
  • "name": "MyCompany Cloud"
}

Retrieves multiple Cloud objects by identifier

To learn more about bulk, refer to the topic Bulk GET operations.

Authorizations:
basicAuth
Request Body schema:
optional
Array of objects (BulkId)
type
string
Enum: "GET" "DELETE" "UPDATE" "CREATE"

Responses

Response Schema:
Array of objects
Array
required
object (Cloud)
index
integer <int32>
id
string
statusCode
integer <int32>
errorMessage
string

Request samples

Content type
{
  • "request": [
    • {
      }
    ],
  • "type": "GET"
}

Response samples

Content type
{
  • "response": [
    • {
      }
    ]
}

Queries for a Cloud object(s)

You can query the Cloud object using name or ID to retrieve a list of available runtime clouds in your account. For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.

Authorizations:
basicAuth
Request Body schema:
optional

Possible properties include: name, id

required
object
required
CloudSimpleExpression (object) or CloudGroupingExpression (object) (CloudExpression)
One of
operator
required
string
Enum: "EQUALS" "LIKE" "NOT_EQUALS" "IS_NULL" "IS_NOT_NULL" "BETWEEN" "GREATER_THAN" "GREATER_THAN_OR_EQUAL" "LESS_THAN" "LESS_THAN_OR_EQUAL" "CONTAINS" "NOT_CONTAINS"
property
required
string
Enum: "name" "id"
argument
Array of strings

Responses

Response Schema:
numberOfResults
integer <int32>
queryToken
string

By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request.

Array of objects (Cloud)

Request samples

Content type
Example
{
  • "QueryFilter": {
    • "expression": {
      }
    }
}

Response samples

Content type
{
  • "numberOfResults": 1,
  • "@type": "QueryResult",
  • "result": [
    • {
      }
    ]
}

Retrieves additional results for a Cloud query

To learn about using queryMore, refer to the topic Query paging.

Authorizations:
basicAuth
Request Body schema: text/plain
required
string

Responses

Response Schema:
numberOfResults
integer <int32>
queryToken
string

By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request.

Array of objects (Cloud)

Response samples

Content type
{
  • "numberOfResults": 1,
  • "@type": "QueryResult",
  • "result": [
    • {
      }
    ]
}